(function(){var P$=Clazz.newPackage("jalview.io.packed"),I$=[[0,'java.util.ArrayList','jalview.io.packed.JalviewDataset',['jalview.io.packed.DataProvider','.JvDataType'],'jalview.io.IdentifyFile','jalview.io.FormatAdapter','java.io.BufferedReader','jalview.io.AnnotationFile','java.util.HashMap','jalview.io.FeaturesFile','jalview.io.NewickFile','jalview.io.FileParse','jalview.io.AppletFormatAdapter','jalview.io.packed.SimpleDataProvider']],$I$=function(i){return I$[i]||(I$[i]=Clazz.load(I$[0][i]))};
var C$=Clazz.newClass(P$, "ParsePackedSet");

Clazz.newMeth(C$, '$init$', function () {
}, 1);

Clazz.newMeth(C$, 'getAlignment$jalview_io_packed_JalviewDataset$Iterable', function (context, files) {
var rslt=Clazz.new_($I$(1));
if (context == null ) {
context=Clazz.new_($I$(2));
}var deuniquify=false;
for (var dta, $dta = files.iterator$(); $dta.hasNext$()&&((dta=($dta.next$())),1);) {
var exerror=null;
var errmsg=null;
var src=dta.getDataSource$();
if (dta.getType$().equals$O($I$(3).ALIGNMENT)) {
var fmt=null;
try {
fmt=Clazz.new_($I$(4)).identify$jalview_io_FileParse$Z(src, false);
} catch (ex) {
if (Clazz.exceptionOf(ex,"Exception")){
exerror=ex;
errmsg="Couldn\'t identify alignment format.";
} else {
throw ex;
}
}
if (fmt != null ) {
var al=null;
try {
al=Clazz.new_($I$(5)).readFromFile$jalview_io_FileParse$jalview_io_FileFormatI(src, fmt);
} catch (e) {
if (Clazz.exceptionOf(e,"Exception")){
errmsg="Failed to parse alignment from result set";
exerror=e;
} else {
throw e;
}
}
if (al != null ) {
context.addAlignment$jalview_datamodel_AlignmentI(al);
context.updateSetModified$Z(true);
rslt.add$TE(al);
deuniquify=true;
}}}if (dta.getType$().equals$O($I$(3).ANNOTATION)) {
if (!context.hasAlignments$()) {
errmsg="No alignment or sequence dataset to associate annotation with.";
}try {
var br;
if (Clazz.instanceOf(src.getReader$(), "java.io.BufferedReader")) {
br=src.getReader$();
} else {
br=Clazz.new_($I$(6).c$$java_io_Reader,[src.getReader$()]);
}if (Clazz.new_($I$(7)).parseAnnotationFrom$jalview_datamodel_AlignmentI$jalview_datamodel_HiddenColumns$java_io_BufferedReader(context.getLastAlignment$(), null, br)) {
context.updateSetModified$Z(true);
} else {
errmsg="Annotation file contained no data.";
}} catch (e) {
if (Clazz.exceptionOf(e,"Exception")){
errmsg=((errmsg == null ) ? "" : errmsg) + "Failed to parse the annotation file associated with the alignment.";
exerror=e;
} else {
throw e;
}
}
}if (dta.getType$().equals$O($I$(3).SEQASSOCATED)) {
if (!context.hasSequenceAssoc$()) {
errmsg="No sequence to associate data with.";
}errmsg="parsing of sequence associated data is not implemented";
exerror=Clazz.new_(Clazz.load('Exception').c$$S,[errmsg]);
}if (dta.getType$().equals$O($I$(3).FEATURES)) {
if (context.featureColours == null ) {
context.featureColours=Clazz.new_($I$(8));
}try {
var ff=Clazz.new_($I$(9).c$$jalview_io_FileParse,[src]);
context.updateSetModified$Z(ff.parse$jalview_datamodel_AlignmentI$java_util_Map$Z$Z(context.getLastAlignment$(), context.featureColours, false, context.relaxedIdMatching));
} catch (e) {
if (Clazz.exceptionOf(e,"Exception")){
errmsg=("Failed to parse the Features file associated with the alignment.");
exerror=e;
} else {
throw e;
}
}
}if (dta.getType$().equals$O($I$(3).TREE)) {
try {
var nf=Clazz.new_($I$(10).c$$jalview_io_FileParse,[src]);
if (!nf.isValid$()) {
nf.close$();
nf=null;
} else {
context.addTreeFromFile$jalview_io_NewickFile(nf);
rslt.add$TE(nf);
context.updateSetModified$Z(true);
}} catch (e) {
if (Clazz.exceptionOf(e,"Exception")){
errmsg=("Failed to parse the treeFile associated with the result.");
exerror=e;
} else {
throw e;
}
}
}if (exerror != null ) {
if (errmsg != null  && errmsg.length$() > 0 ) {
throw Clazz.new_(Clazz.load('java.io.IOException').c$$S$Throwable,[errmsg, exerror]);
} else {
throw Clazz.new_(Clazz.load('java.io.IOException').c$$S$Throwable,[errmsg, exerror]);
}} else {
if (errmsg != null  && errmsg.length$() > 0 ) {
throw Clazz.new_(Clazz.load('java.io.IOException').c$$S,[errmsg]);
}}}
if (deuniquify) {
context.getLastAlignmentSet$().deuniquifyAlignment$();
}return rslt.toArray$();
});

Clazz.newMeth(C$, 'main$SA', function (args) {
var i=0;
var dp=Clazz.new_($I$(1));
while ((i + 1) < args.length){
var type=args[i++];
var file=args[i++];
var jtype=$I$(3).valueOf$S(type.toUpperCase$());
if (jtype != null ) {
var fp;
try {
fp=Clazz.new_($I$(11).c$$O$jalview_io_DataSourceType,[file, $I$(12).checkProtocol$O(file)]);
} catch (e) {
if (Clazz.exceptionOf(e,"Exception")){
System.err.println$S("Couldn't handle datasource of type " + jtype + " using URI " + file );
e.printStackTrace$();
return;
} else {
throw e;
}
}
dp.add$TE(Clazz.new_($I$(13).c$$jalview_io_packed_DataProvider_JvDataType$jalview_io_FileParse$O,[jtype, fp, null]));
} else {
System.out.println$S("Couldn't parse source type token '" + type.toUpperCase$() + "'" );
}}
if (i < args.length) {
System.out.print$S("** WARNING\nIgnoring unused arguments:\n");
while (i < args.length){
System.out.print$S(" " + args[i]);
}
System.out.print$S("\n");
}System.out.println$S("Now trying to parse set:");
var context;
var newdm;
var pps;
try {
newdm=(pps=Clazz.new_(C$)).getAlignment$jalview_io_packed_JalviewDataset$Iterable(context=Clazz.new_($I$(2)), dp);
} catch (e) {
if (Clazz.exceptionOf(e,"Exception")){
System.out.println$S("Test failed for these arguments.\n");
e.printStackTrace$java_io_PrintStream(System.out);
return;
} else {
throw e;
}
}
if (newdm != null ) {
for (var o, $o = 0, $$o = newdm; $o<$$o.length&&((o=($$o[$o])),1);$o++) {
System.out.println$S("Will need to create an " + o.getClass$());
}
} else {
if (context.getLastAlignmentSet$().isModified$()) {
System.err.println$S("Initial alignment set was modified and any associated views should be updated.");
}}}, 1);

Clazz.newMeth(C$);
})();
;Clazz.setTVer('3.2.4.06');//Created 2019-03-14 06:05:12 Java2ScriptVisitor version 3.2.4.06 net.sf.j2s.core.jar version 3.2.4.06
